Build:
  1. 0
2022-11-23 13:30.51: New job: Build using linux-arm64 in
                                [https://github.com/mirage/mirage-skeleton.git#refs/pull/348/head (98bf517b79a3d99207b1eb9953b4d53517676483)]

OBuilder spec:

((from ocaml/opam:debian-10-ocaml-4.13)
 (user (uid 1000) (gid 1000))
 (workdir /home/opam)
 (run (shell "sudo chown opam:opam /home/opam"))
 (run (shell "sudo ln -f /usr/bin/opam-2.1 /usr/bin/opam && opam update"))
 (run (network host)
      (shell "opam repo add opam https://github.com/ocaml/opam-repository.git#ab8d6d9033637382c11429e5b155148ad49127a5"))
 (run (network host)
      (shell "opam repo add mirage-dev https://github.com/mirage/mirage-dev.git#842c55556ffd0950d21141d6ab99e52a8d88a50f"))
 (run (network host)
      (shell "opam pin -ny https://github.com/mirage/mirage.git#83797bbaa677e35b430971142903ebd8bdcaaf0e"))
 (run (cache (download-cache (target /home/opam/.opam/download-cache)))
      (network host)
      (shell "sudo apt-get update && opam install -y \"mirage>=4\""))
 (copy (src .) (dst /src/))
 (env MODE unix)
 (workdir /src/)
 (run (shell "opam exec -- make configure"))
 (env MIRAGE_EXTRA_REPOS opam-overlays:https://github.com/dune-universe/opam-overlays.git#d97e352e87fc628e1b00e9649f0f552865be791a,mirage-opam-overlays:https://github.com/dune-universe/mirage-opam-overlays.git#05f1c1823d891ce4d8adab91f5db3ac51d86dc0b)
 (run (network host)
      (shell "opam exec -- make lock"))
 (run (cache (download-cache (target /home/opam/.opam/download-cache)))
      (network host)
      (shell "sudo apt-get update && opam exec -- make depends"))
 (run (shell "opam monorepo list -l mirage.opam.locked"))
 (run (cache (download-cache (target /home/opam/.opam/download-cache)))
      (network host)
      (shell "opam exec -- make pull"))
 (env DUNE_CACHE enabled)
 (env DUNE_CACHE_TRANSPORT direct)
 (run (cache (dune-build-cache (target /home/opam/.cache/dune)))
      (network host)
      (shell "opam exec -- make build"))
)

2022-11-23 13:30.51: Using cache hint "mirage-ci-skeleton-debian-10-ocaml-4.13"
2022-11-23 13:30.51: Waiting for resource in pool OCluster
2022-11-23 13:30.51: Waiting for worker...
2022-11-23 13:30.51: Got resource from pool OCluster
Building on okypous.ocamllabs.io
All commits already cached
HEAD is now at 98bf517 avoid rec when called with a negative argument

(from ocaml/opam:debian-10-ocaml-4.13)
Unable to find image 'ocaml/opam:debian-10-ocaml-4.13' locally
debian-10-ocaml-4.13: Pulling from ocaml/opam
8d6f14519815: Pulling fs layer
7e9ddb6e5a53: Pulling fs layer
86b304c2b076: Pulling fs layer
8d6f14519815: Verifying Checksum
8d6f14519815: Download complete
8d6f14519815: Pull complete
86b304c2b076: Verifying Checksum
86b304c2b076: Download complete
7e9ddb6e5a53: Verifying Checksum
7e9ddb6e5a53: Download complete
7e9ddb6e5a53: Pull complete
86b304c2b076: Pull complete
Digest: sha256:51196b0ccd57f199364ae24bd3e78de30eb5378fe2fe484c945175041fdbf953
Status: Downloaded newer image for ocaml/opam:debian-10-ocaml-4.13
2022-11-23 13:30.52 ---> using "cbba9511e46ef57631453d5b88aeed1ed6de6fa87b6f0dcb3da9328657d73fa4" from cache

/: (user (uid 1000) (gid 1000))

/: (workdir /home/opam)

/home/opam: (run (shell "sudo chown opam:opam /home/opam"))
2022-11-23 13:30.52 ---> using "0afede13af6ea6d75cbfcfb80353059bc4fd4eea40a723ef627f0c4946f2e079" from cache

/home/opam: (run (shell "sudo ln -f /usr/bin/opam-2.1 /usr/bin/opam && opam update"))
This development version of opam requires an update to the layout of /home/opam/.opam from version 2.0 to version 2.1, which can't be reverted.
You may want to back it up before going further.

Continue? [Y/n] y
Format upgrade done.

<><> Updating package repositories ><><><><><><><><><><><><><><><><><><><><><><>
[default] synchronised from file:///home/opam/opam-repository
2022-11-23 13:30.52 ---> using "88933084999984163bc104ca2978b0ba2b9c83ff33e4e30c3b6dae7cb5cde9bc" from cache

/home/opam: (run (network host)
                 (shell "opam repo add opam https://github.com/ocaml/opam-repository.git#ab8d6d9033637382c11429e5b155148ad49127a5"))
[opam] Initialised
opam (at git+https://github.com/ocaml/opam-repository.git#ab8d6d9033637382c11429e5b155148ad49127a5): 
    [WARNING] opam is out-of-date. Please consider updating it (https://opam.ocaml.org/doc/Install.html)

[NOTE] Repository opam has been added to the selections of switch 4.13 only.
       Run `opam repository add opam --all-switches|--set-default' to use it in all existing switches, or in newly created switches, respectively.

2022-11-23 13:30.52 ---> using "7e8f0297b694318a7dd27641bdd1a698d94407e175aab5bdef9705db4cc08787" from cache

/home/opam: (run (network host)
                 (shell "opam repo add mirage-dev https://github.com/mirage/mirage-dev.git#842c55556ffd0950d21141d6ab99e52a8d88a50f"))
[mirage-dev] Initialised
[NOTE] Repository mirage-dev has been added to the selections of switch 4.13 only.
       Run `opam repository add mirage-dev --all-switches|--set-default' to use it in all existing switches, or in newly created switches, respectively.

2022-11-23 13:30.52 ---> using "4d81728ef51a7dbd8feb50092d10f6d10cc4d85336028f1a6ad96bfbafe6136f" from cache

/home/opam: (run (network host)
                 (shell "opam pin -ny https://github.com/mirage/mirage.git#83797bbaa677e35b430971142903ebd8bdcaaf0e"))
This will pin the following packages: functoria-runtime, functoria, mirage-runtime, mirage. Continue? [Y/n] y
functoria-runtime is now pinned to git+https://github.com/mirage/mirage.git#83797bbaa677e35b430971142903ebd8bdcaaf0e (version 4.3.1)
functoria is now pinned to git+https://github.com/mirage/mirage.git#83797bbaa677e35b430971142903ebd8bdcaaf0e (version 4.3.1)
mirage-runtime is now pinned to git+https://github.com/mirage/mirage.git#83797bbaa677e35b430971142903ebd8bdcaaf0e (version 4.3.1)
mirage is now pinned to git+https://github.com/mirage/mirage.git#83797bbaa677e35b430971142903ebd8bdcaaf0e (version 4.3.1)
2022-11-23 13:30.59 ---> saved as "399964b017415221aa038e0df1f78c46db60885dfaf4314d789ed490a2e7ca2b"

/home/opam: (run (cache (download-cache (target /home/opam/.opam/download-cache)))
                 (network host)
                 (shell "sudo apt-get update && opam install -y \"mirage>=4\""))
Get:1 http://deb.debian.org/debian buster InRelease [122 kB]
Get:2 http://deb.debian.org/debian buster-updates InRelease [56.6 kB]
Get:3 http://deb.debian.org/debian buster/main arm64 Packages [7737 kB]
Get:4 http://security.debian.org/debian-security buster/updates InRelease [34.8 kB]
Get:5 http://deb.debian.org/debian buster-updates/main arm64 Packages.diff/Index [12.1 kB]
Get:6 http://deb.debian.org/debian buster-updates/main arm64 Packages 2022-08-18-2019.35.pdiff [283 B]
Get:6 http://deb.debian.org/debian buster-updates/main arm64 Packages 2022-08-18-2019.35.pdiff [283 B]
Get:7 http://security.debian.org/debian-security buster/updates/main arm64 Packages [388 kB]
Fetched 8351 kB in 1s (6092 kB/s)
Reading package lists...

<><> Synchronising pinned packages ><><><><><><><><><><><><><><><><><><><><><><>
[mirage.4.3.1] synchronised (no changes)

The following actions will be performed:
  - install   cmdliner              1.1.1  [required by functoria]
  - install   ocamlbuild            0.14.2 [required by astring, bos]
  - install   conf-pkg-config       2      [required by opam-monorepo]
  - install   ocamlfind             1.9.5  [required by astring, bos]
  - recompile ocaml-options-vanilla 1      [upstream or system changes]
  - install   dune                  3.6.0  [required by mirage]
  - install   topkg                 1.0.6  [required by astring, bos]
  - install   base-bytes            base   [required by base64]
  - install   stringext             1.6.0  [required by uri]
  - install   result                1.5    [required by functoria]
  - install   pecu                  0.6    [required by emile]
  - install   opam-monorepo         0.3.4  [required by mirage]
  - install   ocaml-syntax-shims    1.0.0  [required by angstrom]
  - install   macaddr               5.3.1  [required by ipaddr]
  - install   domain-name           0.4.0  [required by ipaddr]
  - install   csexp                 1.5.1  [required by dune-configurator]
  - install   cppo                  1.6.9  [required by lwt]
  - install   bigstringaf           0.9.0  [required by emile]
  - install   uutf                  1.0.3  [required by emile]
  - install   rresult               0.7.0  [required by bos, functoria]
  - install   fmt                   0.9.0  [required by functoria, bos, mirage-runtime]
  - install   astring               0.8.5  [required by mirage]
  - install   base64                3.5.0  [required by emile]
  - install   ipaddr                5.3.1  [required by mirage]
  - install   dune-configurator     3.6.0  [required by lwt]
  - install   ocplib-endian         1.2    [required by lwt]
  - install   angstrom              0.15.0 [required by emile, uri]
  - install   functoria-runtime     4.3.1* [required by mirage-runtime]
  - install   fpath                 0.7.3  [required by bos, functoria]
  - install   lwt                   5.6.1  [required by mirage-runtime]
  - install   uri                   4.2.0  [required by functoria]
  - install   emile                 1.1    [required by functoria]
  - install   logs                  0.7.0  [required by mirage]
  - install   mirage-runtime        4.3.1* [required by mirage]
  - install   bos                   0.2.1  [required by mirage]
  - install   functoria             4.3.1* [required by mirage]
  - install   mirage                4.3.1*
===== 36 to install | 1 to recompile =====

The following system packages will first need to be installed:
    pkg-config

<><> Handling external dependencies <><><><><><><><><><><><><><><><><><><><><><>
Let opam run your package manager to install the required system packages?
(answer 'n' for other options) [Y/n] y
+ /usr/bin/sudo "apt-get" "install" "-qq" "-yy" "pkg-config"
- debconf: delaying package configuration, since apt-utils is not installed
- Selecting previously unselected package libicu63:arm64.
- (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 17364 files and directories currently installed.)
- Preparing to unpack .../0-libicu63_63.1-6+deb10u3_arm64.deb ...
- Unpacking libicu63:arm64 (63.1-6+deb10u3) ...
- Selecting previously unselected package libxml2:arm64.
- Preparing to unpack .../1-libxml2_2.9.4+dfsg1-7+deb10u5_arm64.deb ...
- Unpacking libxml2:arm64 (2.9.4+dfsg1-7+deb10u5) ...
- Selecting previously unselected package libglib2.0-0:arm64.
- Preparing to unpack .../2-libglib2.0-0_2.58.3-2+deb10u4_arm64.deb ...
- Unpacking libglib2.0-0:arm64 (2.58.3-2+deb10u4) ...
- Selecting previously unselected package libglib2.0-data.
- Preparing to unpack .../3-libglib2.0-data_2.58.3-2+deb10u4_all.deb ...
- Unpacking libglib2.0-data (2.58.3-2+deb10u4) ...
- Selecting previously unselected package pkg-config.
- Preparing to unpack .../4-pkg-config_0.29-6_arm64.deb ...
- Unpacking pkg-config (0.29-6) ...
- Selecting previously unselected package shared-mime-info.
- Preparing to unpack .../5-shared-mime-info_1.10-1_arm64.deb ...
- Unpacking shared-mime-info (1.10-1) ...
- Selecting previously unselected package xdg-user-dirs.
- Preparing to unpack .../6-xdg-user-dirs_0.17-2_arm64.deb ...
- Unpacking xdg-user-dirs (0.17-2) ...
- Setting up xdg-user-dirs (0.17-2) ...
- Setting up libglib2.0-0:arm64 (2.58.3-2+deb10u4) ...
- No schema files found: doing nothing.
- Setting up libicu63:arm64 (63.1-6+deb10u3) ...
- Setting up libglib2.0-data (2.58.3-2+deb10u4) ...
- Setting up pkg-config (0.29-6) ...
- Setting up libxml2:arm64 (2.9.4+dfsg1-7+deb10u5) ...
- Setting up shared-mime-info (1.10-1) ...
- Processing triggers for libc-bin (2.28-10+deb10u1) ...

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> retrieved astring.0.8.5  (cached)
-> retrieved angstrom.0.15.0  (cached)
-> retrieved base64.3.5.0  (cached)
-> retrieved bigstringaf.0.9.0  (cached)
-> retrieved bos.0.2.1  (cached)
-> retrieved cmdliner.1.1.1  (cached)
-> retrieved cppo.1.6.9  (cached)
-> retrieved csexp.1.5.1  (cached)
-> retrieved domain-name.0.4.0  (cached)
-> retrieved dune.3.6.0  (cached)
-> installed conf-pkg-config.2
-> retrieved dune-configurator.3.6.0  (cached)
-> retrieved emile.1.1  (cached)
-> retrieved fmt.0.9.0  (cached)
-> retrieved fpath.0.7.3  (cached)
-> installed cmdliner.1.1.1
-> retrieved ipaddr.5.3.1  (cached)
-> retrieved logs.0.7.0  (cached)
-> retrieved lwt.5.6.1  (cached)
-> retrieved macaddr.5.3.1  (cached)
-> retrieved functoria-runtime.4.3.1  (no changes)
-> retrieved functoria.4.3.1  (no changes)
-> removed   ocaml-options-vanilla.1
-> installed ocaml-options-vanilla.1
-> retrieved ocaml-syntax-shims.1.0.0  (cached)
-> retrieved ocamlbuild.0.14.2  (cached)
-> retrieved ocamlfind.1.9.5  (cached)
-> retrieved ocplib-endian.1.2  (cached)
-> retrieved mirage.4.3.1  (no changes)
-> retrieved pecu.0.6  (cached)
-> retrieved result.1.5  (cached)
-> retrieved mirage-runtime.4.3.1  (no changes)
-> retrieved rresult.0.7.0  (cached)
-> retrieved stringext.1.6.0  (cached)
-> retrieved topkg.1.0.6  (cached)
-> retrieved uri.4.2.0  (cached)
-> retrieved uutf.1.0.3  (cached)
-> retrieved opam-monorepo.0.3.4  (cached)
-> installed ocamlfind.1.9.5
-> installed base-bytes.base
-> installed ocamlbuild.0.14.2
-> installed topkg.1.0.6
-> installed rresult.0.7.0
-> installed uutf.1.0.3
-> installed fmt.0.9.0
-> installed astring.0.8.5
-> installed fpath.0.7.3
-> installed dune.3.6.0
-> installed bigstringaf.0.9.0
-> installed csexp.1.5.1
-> installed base64.3.5.0
-> installed domain-name.0.4.0
-> installed macaddr.5.3.1
-> installed pecu.0.6
-> installed result.1.5
-> installed stringext.1.6.0
-> installed functoria-runtime.4.3.1
-> installed ocaml-syntax-shims.1.0.0
-> installed cppo.1.6.9
-> installed ipaddr.5.3.1
-> installed ocplib-endian.1.2
-> installed angstrom.0.15.0
-> installed dune-configurator.3.6.0
-> installed emile.1.1
-> installed uri.4.2.0
-> installed lwt.5.6.1
-> installed logs.0.7.0
-> installed mirage-runtime.4.3.1
-> installed bos.0.2.1
-> installed opam-monorepo.0.3.4
-> installed functoria.4.3.1
-> installed mirage.4.3.1
Done.
# Run eval $(opam env) to update the current shell environment
2022-11-23 13:31.52 ---> saved as "516573861cd458fe95a9846887eac38db4d8143ddff0bbada1e7c70a0aa7e308"

/home/opam: (copy (src .) (dst /src/))
2022-11-23 13:31.53 ---> saved as "13b12cb65afa2b88856a84a196a4ec74bd878176b94eb94f6fbcc8c27f8fa372"

/home/opam: (env MODE unix)

/home/opam: (workdir /src/)

/src/: (run (shell "opam exec -- make configure"))
mirage configure -f tutorial/noop/config.ml -t unix 
mirage configure -f tutorial/noop-functor/config.ml -t unix 
mirage configure -f tutorial/hello/config.ml -t unix 
mirage configure -f tutorial/hello-key/config.ml -t unix 
mirage configure -f tutorial/lwt/echo_server/config.ml -t unix 
mirage configure -f tutorial/lwt/heads1/config.ml -t unix 
mirage configure -f tutorial/lwt/heads2/config.ml -t unix 
mirage configure -f tutorial/lwt/timeout1/config.ml -t unix 
mirage configure -f tutorial/lwt/timeout2/config.ml -t unix 
mirage configure -f tutorial/app_info/config.ml -t unix 
mirage configure -f device-usage/clock/config.ml -t unix 
mirage configure -f device-usage/conduit_server/config.ml -t unix 
mirage configure -f device-usage/console/config.ml -t unix 
mirage configure -f device-usage/http-fetch/config.ml -t unix 
mirage configure -f device-usage/kv_ro/config.ml -t unix 
mirage configure -f device-usage/network/config.ml -t unix 
mirage configure -f device-usage/ping6/config.ml -t unix 
mirage configure -f device-usage/prng/config.ml -t unix 
mirage configure -f applications/docteur/config.ml -t unix 
mirage configure -f applications/dhcp/config.ml -t unix 
mirage configure -f applications/http/config.ml -t unix 
File "applications/http/config.ml", line 50, characters 41-55:
50 |   conn $ default_posix_clock $ tcpv4v6 $ happy_eyeballs
                                              ^^^^^^^^^^^^^^
Error: This expression has type mimic impl
       but an expression was expected of type git_client impl
       Type mimic is not compatible with type git_client 
run ['dune' 'build' 'applications/http/config.exe' '--root' '.' '--workspace'
     'applications/http/mirage/dune-workspace.config']: exited with 1
make: *** [Makefile:62: applications/http-configure] Error 1
"/bin/bash" "-c" "opam exec -- make configure" failed with exit status 2

2022-11-23 13:32.04: Job failed: Failed: Build failed